FIX::NullStoreFactory Class Reference

Null implementation of MessageStore. More...

`#include <NullStore.h>`

Inheritance diagram for FIX::NullStoreFactory:
[legend]
Collaboration diagram for FIX::NullStoreFactory:
[legend]

## Public Member Functions

MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)
Public Member Functions inherited from FIX::MessageStoreFactory
virtual | ~MessageStoreFactory ()

## Detailed Description

Null implementation of MessageStore.

Will not actually store messages. Useful for admin-only or market data-only applications.

Definition at line 43 of file NullStore.h.

## Member Function Documentation

## create()

MessageStore * FIX::NullStoreFactory::create | ( | const SessionID & |  | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 31 of file NullStore.cpp.

{
return new NullStore();
}

## destroy()

void FIX::NullStoreFactory::destroy | ( | MessageStore * | pStore | ) |

virtual

Implements FIX::MessageStoreFactory.

Definition at line 36 of file NullStore.cpp.

{
delete pStore;
}

The documentation for this class was generated from the following files:

- NullStore.h
- NullStore.cpp